#!/bin/bash

########################################################################
# Copyright (C) 2007-2009 Daniel Balsiger <mail<at>danielbalsiger.ch>  #
#                                                                      #
# This project evolved while my information science project and my     #
# master thesis that followed on.                                      #
#                                                                      #
# Check for latest versions at:                                        #
# https://danielbalsiger.ch/svn/repos/trunk/image-builder              #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License version 2 as    #
# published by the Free Software Foundation.                           #
#                                                                      #
########################################################################

##################################################
. ${BUILDDIR}/buildscripts/functions

LINUXVERSION=`grep VERSION= ${BUILDDIR}/buildscripts/packages/linux.sh | sed -e 's|VERSION="||' -e 's|"||'`-${BOARDNAME}

VERSION="v0.0.3-3"
SHA1SUM="693d7642720a99cd7a63d2b09f728b4cfdcc14f6"
#URL="http://dl.sourceforge.net/ebtables"
URL="http://danielbalsiger.ch/image-builder"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain linux"
##################################################

download_bz2 arptables &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/arptables-${VERSION}.tar.bz2 &&
cd arptables-${VERSION} &&

patch_src arptables &&

sed -e 's|-O2|-Os|g' -i Makefile &&
make KERNEL_DIR=${BUILDDIR}/linux-${LINUXVERSION} BINDIR=/sbin/ MANDIR=/usr/share/man/ CC="${CC} -Os -fPIC" &&

install -v -m755 arptables ${INSTALLDIR}/sbin &&
install -v -m644 arptables.8 ${INSTALLDIR}/usr/share/man/man8 &&

cd ${BUILDDIR} &&
rm -rf arptables-${VERSION}

