#!/bin/bash

########################################################################
# Copyright (C) 2007-2009 Daniel Balsiger <mail<at>danielbalsiger.ch>  #
#                                                                      #
# This project evolved while my information science project and my     #
# master thesis that followed on.                                      #
#                                                                      #
# Check for latest versions at:                                        #
# https://danielbalsiger.ch/svn/repos/trunk/image-builder              #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License version 2 as    #
# published by the Free Software Foundation.                           #
#                                                                      #
########################################################################

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="2.2.9"
SHA1SUM="902c337adae872ad8c9e162f86f6a0d1a2083525"
# This is 2.2.8 SHA1SUM="fb1ccf7e2be4ce5e3b5dc364c8fca2e4d09a82f4"
URL="http://www.cfengine.org/downloads"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain zlib openssl db"
##################################################

download_gz cfengine &&

cd ${BUILDDIR} &&
tar -xzvf ${SRCDIR}/cfengine-${VERSION}.tar.gz &&
cd cfengine-${VERSION} &&

patch_src cfengine &&

sed -e 's|-O2|-Os|g' -i configure &&
CC="${CC} -Os -fPIC" ./configure --host=${BOARDARCH}-linux-gnu --prefix=/ --bindir=/bin --sbindir=/sbin --datadir=/usr/share --sysconfdir=/etc --localstatedir=/var --libdir=/lib --includedir=/usr/include --infodir=/usr/share/info --mandir=/usr/share/man --disable-nls --disable-largefile --with-pic --enable-shared --disable-static &&
sed -e 's|-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64||g' -i pub/Makefile inputs/Makefile contrib/Makefile src/Makefile Makefile &&
make &&
make DESTDIR=${INSTALLDIR} install &&
mv -v ${INSTALLDIR}/sbin/{cfenv*,cfdoc,cfetool*} ${INSTALLDIR}/usr/sbin &&
mv -v ${INSTALLDIR}/lib/libcfengine.la ${INSTALLDIR}/usr/lib &&

cd ${BUILDDIR} &&
rm -rf cfengine-${VERSION}
