#!/bin/bash

########################################################################
# Copyright (C) 2007-2009 Daniel Balsiger <mail<at>danielbalsiger.ch>  #
#                                                                      #
# This project evolved while my information science project and my     #
# master thesis that followed on.                                      #
#                                                                      #
# Check for latest versions at:                                        #
# https://danielbalsiger.ch/svn/repos/trunk/image-builder              #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License version 2 as    #
# published by the Free Software Foundation.                           #
#                                                                      #
########################################################################

##################################################
. ${BUILDDIR}/buildscripts/functions

MADWIFIVERSION=`grep ^VERSION= ${BUILDDIR}/buildscripts/packages/madwifi.sh | sed -e 's|VERSION="||' -e 's|"||'`

VERSION="0.6.4"
SHA1SUM="cb8adb38bc924d27746ab4e48e9783ef26074185"
URL="http://hostap.epitest.fi/releases"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain openssl madwifi"
##################################################

download_bz2 hostapd &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/hostapd-${VERSION}.tar.bz2 &&
cd hostapd-${VERSION} &&

patch_src hostapd &&

cd hostapd &&
cat defconfig | sed 's/#CONFIG_DRIVER_MADWIFI=y/CONFIG_DRIVER_MADWIFI=y/'  > .config &&
sed -e 's|CONFIG_DRIVER_HOSTAP=y|#CONFIG_DRIVER_HOSTAP=y|' -i .config &&
sed -e 's|#CONFIG_DRIVER_WIRED=y|CONFIG_DRIVER_WIRED=y|' -i .config &&
sed -e 's|#CFLAGS += -I../head # change to reflect local setup; directory for madwifi src|CFLAGS += -I../../madwifi-'${MADWIFIVERSION}'|' -i .config &&
sed -e 's|-O2|-Os|g' -i Makefile &&

make CC="${CC} -Os -fPIC" &&

install -v -m755 hostapd hostapd_cli ${INSTALLDIR}/sbin &&
install -v -m644 hostapd.8 ${INSTALLDIR}/usr/share/man/man8 &&
install -v -m644 hostapd_cli.1 ${INSTALLDIR}/usr/share/man/man1 &&

cd ${BUILDDIR} &&
rm -rf hostapd-${VERSION}

