#!/bin/bash

########################################################################
# Copyright (C) 2007-2009 Daniel Balsiger <mail<at>danielbalsiger.ch>  #
#                                                                      #
# This project evolved while my information science project and my     #
# master thesis that followed on.                                      #
#                                                                      #
# Check for latest versions at:                                        #
# https://danielbalsiger.ch/svn/repos/trunk/image-builder              #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License version 2 as    #
# published by the Free Software Foundation.                           #
#                                                                      #
########################################################################

################################################## 
. ${BUILDDIR}/buildscripts/functions

VERSION="2.6.26"
SHA1SUM="95e0f528066eae7304b5d7c610348b522628c92f"
URL="http://devresources.linux-foundation.org/dev/iproute2/download"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="linux"
##################################################

download_bz2 iproute2 &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/iproute2-${VERSION}.tar.bz2 &&
cd iproute2-${VERSION} &&

patch_src iproute2 &&

sed -e 's/-O2/-Os/' -i Makefile &&
sed -e 's|TARGETS=ss nstat ifstat rtacct arpd lnstat|TARGETS=ss nstat ifstat rtacct lnstat|' -i misc/Makefile &&
sed -e 's|install -m 0755 -s|install -m 0755|g' -i misc/Makefile tc/Makefile ip/Makefile &&
./configure KERNEL_INCLUDE=${BUILDDIR}/linux &&

make CC="${CC} -Os -fPIC" SBINDIR=/sbin &&

make SBINDIR=/sbin DESTDIR=${INSTALLDIR} DOCDIR=/usr/share/doc MANDIR=/usr/share/man install &&
cp -a ${INSTALLDIR}/lib/tc ${INSTALLDIR}/usr/lib &&
rm -rf ${INSTALLDIR}/lib/tc &&
mv -v ${INSTALLDIR}/sbin/{ifcfg,routel,routef,rtpr} ${INSTALLDIR}/usr/sbin &&

cd ${BUILDDIR} &&
rm -rf iproute2-${VERSION}

