#!/bin/bash

########################################################################
# Copyright (C) 2007-2009 Daniel Balsiger <mail<at>danielbalsiger.ch>  #
#                                                                      #
# This project evolved while my information science project and my     #
# master thesis that followed on.                                      #
#                                                                      #
# Check for latest versions at:                                        #
# https://danielbalsiger.ch/svn/repos/trunk/image-builder              #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License version 2 as    #
# published by the Free Software Foundation.                           #
#                                                                      #
########################################################################

##################################################
. ${BUILDDIR}/buildscripts/functions

LINUXVERSION=`grep VERSION= ${BUILDDIR}/buildscripts/packages/linux.sh | sed -e 's|VERSION="||' -e 's|"||'`-${BOARDNAME}

VERSION="1.4.0"
SHA1SUM="b61064885ab20b62d6ac2a590ea429117248d9d7"
URL="http://netfilter.org/projects/iptables/files"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain linux"
##################################################

download_bz2 iptables &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/iptables-${VERSION}.tar.bz2 &&
cd iptables-${VERSION} &&

patch_src iptables &&

sed -e 's|sctp||' -e 's|CLUSTERIP||' -e 's|ULOG||' -i extensions/Makefile &&

make CC="${CC}" COPT_FLAGS="-Os -fPIC" LD=${LD} DO_MULTI=1 DO_IPV6=1 NO_SHARED_LIBS=1 PREFIX=/usr KERNEL_DIR=${BUILDDIR}/linux-${LINUXVERSION} KBUILD_OUTPUT=${BUILDDIR}/linux-${LINUXVERSION} LIBDIR=/lib BINDIR=/sbin LDLIBS=-ldl LDFLAGS=-rdynamic &&

install -v -m 755 iptables ${INSTALLDIR}/sbin/iptables &&
install -v -m 755 ip6tables ${INSTALLDIR}/sbin/ip6tables &&
ln -sfv ip6tables ${INSTALLDIR}/sbin/ip6tables-restore &&
ln -sfv ip6tables ${INSTALLDIR}/sbin/ip6tables-save &&
ln -sfv iptables ${INSTALLDIR}/sbin/iptables-restore &&
ln -sfv iptables ${INSTALLDIR}/sbin/iptables-save &&
ln -sfv iptables ${INSTALLDIR}/sbin/iptables-xml &&

cd ${BUILDDIR} &&
rm -rf iptables-${VERSION}

