#!/bin/bash

########################################################################
# Copyright (C) 2007-2009 Daniel Balsiger <mail<at>danielbalsiger.ch>  #
#                                                                      #
# This project evolved while my information science project and my     #
# master thesis that followed on.                                      #
#                                                                      #
# Check for latest versions at:                                        #
# https://danielbalsiger.ch/svn/repos/trunk/image-builder              #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License version 2 as    #
# published by the Free Software Foundation.                           #
#                                                                      #
########################################################################

##################################################
. ${BUILDDIR}/buildscripts/functions

LINUXVERSION=`grep VERSION= ${BUILDDIR}/buildscripts/packages/linux.sh | sed -e 's|VERSION="||' -e 's|"||'`-${BOARDNAME}

VERSION="svn3380"
SHA1SUM="87978863a1faa511f48ff17cb2f0aa74675acaa0"
URL="http://madwifi.org"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain linux"
##################################################

download_bz2 madwifi &&

cd ${BUILDDIR} &&
rm -rf madwifi-* &&
tar -xjvf ${SRCDIR}/madwifi-${VERSION}.tar.bz2 &&
cd madwifi-${VERSION} &&

patch_src madwifi &&

if [ "${BOARDNAME}" == "meraki" ] ; then
sed -e 's,-E[LB] ,,g' -i hal/public/*.inc &&
make ARCH=${BOARDARCH} CROSS_COMPILE=${CROSS_TARGET}- KERNELPATH=${BUILDDIR}/linux-${LINUXVERSION} BUS="AHB" TARGET="ap51" modules &&
make ARCH=${BOARDARCH} CROSS_COMPILE=${CROSS_TARGET}- KERNELPATH=${BUILDDIR}/linux-${LINUXVERSION} BUS="AHB" TARGET="ap51" DESTDIR=${INSTALLDIR} install-modules
else
make ARCH=${BOARDARCH} CROSS_COMPILE=${CROSS_TARGET}- KERNELPATH=${BUILDDIR}/linux-${LINUXVERSION} BUS="PCI" modules &&
make ARCH=${BOARDARCH} CROSS_COMPILE=${CROSS_TARGET}- KERNELPATH=${BUILDDIR}/linux-${LINUXVERSION} BUS="PCI" DESTDIR=${INSTALLDIR} install-modules
fi &&

${INSTALLDIR}/cross-tools/bin/depmod.pl -F ${BUILDDIR}/linux-${LINUXVERSION}/System.map -b ${INSTALLDIR}/lib/modules/${LINUXVERSION} &&

cd tools &&
sed -e 's/-g -O2 -Wall/-Os -Wall/' -i Makefile &&

make CC="${CC} -Os -fPIC" DOMULTI=1 &&

install -v -m755 madwifi_multi ${INSTALLDIR}/sbin &&
for i in athstats 80211stats athkey athchans athctrl athdebug ath_info wlanconfig 80211debug; do
ln -s -f -v madwifi_multi ${INSTALLDIR}/sbin/$i ; done &&

cd ${BUILDDIR}

# do not remove the source .. its needed for wpa_supplicant and hostapd

