#!/bin/bash

########################################################################
# Copyright (C) 2007-2009 Daniel Balsiger <mail<at>danielbalsiger.ch>  #
#                                                                      #
# This project evolved while my information science project and my     #
# master thesis that followed on.                                      #
#                                                                      #
# Check for latest versions at:                                        #
# https://danielbalsiger.ch/svn/repos/trunk/image-builder              #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License version 2 as    #
# published by the Free Software Foundation.                           #
#                                                                      #
########################################################################

#################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="3.9p1"
SHA1SUM="a935c7dcf072da5cf0ac5187e0b4f3bbafa11491"
URL="http://mirror.switch.ch/ftp/pub/OpenBSD/OpenNTPD"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain"
#################################################

download_bz2 openntpd &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/openntpd-${VERSION}.tar.bz2 &&
cd openntpd-${VERSION} &&

patch_src openntpd &&

sed -e 's/-O2/-Os/g' -i configure &&
CC="${CC} -Os -fPIC" ./configure --host=${BOARDARCH}-linux-gnu --prefix=/usr --sysconfdir=/etc --bindir=/bin --sbindir=/sbin --with-privsep-path=/var/lib/ntpd --with-privsep-user=ntpd --disable-largefile --disable-nls --with-ssl-dir=${INSTALLDIR} &&
make &&

install -v -c -m 0755 ntpd ${INSTALLDIR}/sbin/ntpd &&

cd ${BUILDDIR} &&
rm -rf openntpd-${VERSION}

