#!/bin/bash

########################################################################
# Copyright (C) 2007-2009 Daniel Balsiger <mail<at>danielbalsiger.ch>  #
#                                                                      #
# This project evolved while my information science project and my     #
# master thesis that followed on.                                      #
#                                                                      #
# Check for latest versions at:                                        #
# https://danielbalsiger.ch/svn/repos/trunk/image-builder              #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License version 2 as    #
# published by the Free Software Foundation.                           #
#                                                                      #
########################################################################

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="1.2"
SHA1SUM="23c88507f1fbdb7de2cb070890343eb20d217aec"
#URL="http://www.litech.org/radvd/dist"
URL="http://danielbalsiger.ch/image-builder"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
BUILD_DEPS="toolchain flex"
##################################################

download_bz2 radvd &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/radvd-${VERSION}.tar.bz2 &&
cd radvd-${VERSION} &&

patch_src radvd &&

sed -e 's/-O2/-Os/g' -i configure &&
CC="${CC} -Os -fPIC" ./configure --host=${BOARDARCH}-linux-gnu --prefix=/usr --sysconfdir=/etc --bindir=/bin --sbindir=/sbin --libdir=/lib --disable-largefile --disable-nls &&

make &&

make DESTDIR=${INSTALLDIR} install &&

cd ${BUILDDIR} &&
rm -rf radvd-${VERSION}

