#!/bin/bash

########################################################################
# Copyright (C) 2007-2009 Daniel Balsiger <mail<at>danielbalsiger.ch>  #
#                                                                      #
# This project evolved while my information science project and my     #
# master thesis that followed on.                                      #
#                                                                      #
# Check for latest versions at:                                        #
# https://danielbalsiger.ch/svn/repos/trunk/image-builder              #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License version 2 as    #
# published by the Free Software Foundation.                           #
#                                                                      #
########################################################################

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION="2.18"
SHA1SUM="fdec92e9dfc6c32155869f3910f47041c78e2277"
# for 2.17 SHA1SUM="a557686eef68362ea31a3aa41ce274e3eeae1ef0"
URL="http://ftp.gnu.org/gnu/binutils"
FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"
##################################################

download_bz2 binutils &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/binutils-${VERSION}.tar.bz2  &&
cd binutils-${VERSION} &&

patch_src binutils &&

mkdir -v ../binutils-build &&
cd ../binutils-build &&
../binutils-${VERSION}/configure --prefix=${INSTALLDIR}/cross-tools --target=${CROSS_TARGET} --with-sysroot=${INSTALLDIR} --disable-nls --enable-shared --disable-multilib &&
make configure-host &&
sed -e 's|-Werror||' -i binutils/Makefile &&
sed -e 's|-Werror||' -i gas/Makefile &&
make &&
make install &&
cp -v ../binutils-${VERSION}/include/libiberty.h ${INSTALLDIR}/usr/include &&

cd ${BUILDDIR} &&
rm -rf binutils-${VERSION} binutils-build

