#!/bin/bash

########################################################################
# Copyright (C) 2007-2009 Daniel Balsiger <mail<at>danielbalsiger.ch>  #
#                                                                      #
# This project evolved while my information science project and my     #
# master thesis that followed on.                                      #
#                                                                      #
# Check for latest versions at:                                        #
# https://danielbalsiger.ch/svn/repos/trunk/image-builder              #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License version 2 as    #
# published by the Free Software Foundation.                           #
#                                                                      #
########################################################################

##################################################
. ${BUILDDIR}/buildscripts/functions

VERSION=`grep ^VERSION= ${BUILDDIR}/buildscripts/toolchain/uclibc.sh | sed -e 's|VERSION="||' -e 's|"||'`
SHA1SUM=`grep ^SHA1SUM= ${BUILDDIR}/buildscripts/toolchain/uclibc.sh | sed -e 's|SHA1SUM="||' -e 's|"||'`
URL=`grep ^URL= ${BUILDDIR}/buildscripts/toolchain/uclibc.sh | sed -e 's|URL="||' -e 's|"||'`
FALLBACK=`grep ^FALLBACK= ${BUILDDIR}/buildscripts/toolchain/uclibc.sh | sed -e 's|FALLBACK="http://www.iam.unibe.ch/~rvs/research/adam/fallback"||'`
##################################################

download_bz2 uClibc &&

cd ${BUILDDIR} &&
tar -xjvf ${SRCDIR}/uClibc-${VERSION}.tar.bz2 &&
cd uClibc &&

patch_src uClibc &&

if [ "${BOARDARCH}" == "mips" ] ; then
    cp extra/Configs/Config.mips extra/Configs/Config.mips.orig &&
    sed -e "s:default CONFIG_MIPS_ISA_1:default CONFIG_MIPS_ISA_${MIPSLEVEL}:" extra/Configs/Config.mips.orig > extra/Configs/Config.mips
fi &&
cp Makefile{,.orig} &&
sed -e 's/$(LN) -fs/cp/g' Makefile.orig > Makefile &&
for file in `find libc/sysdeps/linux -name Makefile`; do
    cp $file{,.orig} &&
    sed -e 's/$(LN) -fs/cp/g' -e 's@../libc/@$(TOPDIR)libc/@g' $file.orig > $file
done &&

cp ${BUILDCONFDIR}/config-uClibc .config &&

cp .config{,.orig} &&
sed -e "/^KERNEL_HEADERS/s: =.*:=\"${INSTALLDIR}/usr/include\":" \
    -e "/^SHARED_LIB_LOADER_PREFIX/s:=.*:=\"/lib\":" \
    -e "/^DEVEL_PREFIX/s:=.*:=\"/usr\":" \
    -e "/^RUNTIME_PREFIX/s:=.*:=\"/\":" \
    .config.orig > .config &&

# use the commented parts for a new generic uclibc .config.
#########################################
#make defconfig ARCH=${BOARDARCH} &&
#UCLIBC_OPTIONS="DO_C99_MATH UCLIBC_HAS_RPC UCLIBC_HAS_CTYPE_CHECKED
#    UCLIBC_HAS_WCHAR UCLIBC_HAS_HEXADECIMAL_FLOATS LDSO_PRELOAD_FILE_SUPPORT
#    UCLIBC_HAS_FOPEN_EXCLUSIVE_MODE UCLIBC_HAS_PRINTF_M_SPEC UCLIBC_HAS_IPV6
#    UCLIBC_HAS_GLIBC_CUSTOM_PRINTF UCLIBC_USE_NETLINK UCLIBC_HAS_FTW" &&
#for config in $UCLIBC_OPTIONS; do
#    cp .config{,.orig} &&
#    sed -e "s:# ${config} is not set:${config}=y:" .config.orig > .config
#done &&
#UCLIBC_OPTIONS="UCLIBC_HAS_CTYPE_UNSAFE" &&
#for config in $UCLIBC_OPTIONS; do
#    cp .config{,.orig} &&
#    sed -e "s:${config}=y:# ${config} is not set:" .config.orig > .config
#done &&
#echo "UCLIBC_HAS_FULL_RPC=y" >> .config &&
#echo "UCLIBC_HAS_REENTRANT_RPC=y" >> .config &&

make oldconfig &&
make headers &&
mkdir ${INSTALLDIR}/usr/include/bits &&
make PREFIX=${INSTALLDIR} install_headers &&

cd ${BUILDDIR} &&
rm -rf uClibc
