#!/bin/sh

########################################################################
# Copyright (C) 2007-2009 Daniel Balsiger <mail<at>danielbalsiger.ch>  #
#                                                                      #
# This project evolved while my information science project and my     #
# master thesis that followed on.                                      #
#                                                                      #
# Check for latest versions at:                                        #
# https://danielbalsiger.ch/svn/repos/trunk/image-builder              #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License version 2 as    #
# published by the Free Software Foundation.                           #
#                                                                      #
########################################################################


if uname -a | grep meraki >/dev/null ; then
    if [ $# -ne 1 ] || [ -z $1 ] ; then
        echo "Usage: $0 <config-image>"
        exit 1
    fi
    if [ -f $1 ] ; then
        if ! mountpoint /mnt/state >/dev/null ; then
            mount mtd3 /mnt/state/ -t jffs2
            mkdir -p /mnt/state/log
            touch /mnt/state /mnt/state/log
            rm -rf /mnt/state/log/*
            umount /mnt/state
            echo "State partition was not mounted, cleaned it up..."
        else
            echo "State partition was mounted, did not touch it..."
        fi
        mount mtd2 /mnt/config/ -t jffs2
        rm -rf /mnt/config/*
        mkdir -p /tmp/state
        mount -o loop $1 /tmp/state
        cd /tmp/state
        find . -type d -maxdepth 1 ! -name "lost+found" -exec cp -a {} /mnt/config \;
        cd - >/dev/null
        umount /tmp/state
        losetup -d /dev/loop0
        umount /mnt/config
        echo "Configuration image installed to flash partition..."
    fi
else
    echo "Only supported on meraki platforms..."
    exit 1
fi

