#!/bin/sh

########################################################################
# Copyright (C) 2007-2009 Daniel Balsiger <mail<at>danielbalsiger.ch>  #
#                                                                      #
# This project evolved while my information science project and my     #
# master thesis that followed on.                                      #
#                                                                      #
# Check for latest versions at:                                        #
# https://danielbalsiger.ch/svn/repos/trunk/image-builder              #
#                                                                      #
# This program is free software; you can redistribute it and/or modify #
# it under the terms of the GNU General Public License version 2 as    #
# published by the Free Software Foundation.                           #
#                                                                      #
########################################################################

# calculates a hash from a message unique to this node

KEYDIR=/var/cfengine/ppkeys
DOMAIN=`cat /etc/conf.d/domainname`
NODENAME=`cat /etc/conf.d/hostname`

echo_help()
{
    echo "Usage: $0 node [hash] [message]"
    echo "   or: $0 hash [message]"
}

if [ -z "$2" ] ; then
    echo_help
    exit 1
fi
case "$1" in
    node)
        if [ -z "$3" ] ; then
            echo_help
            exit 1
        fi
        for f in ${KEYDIR}/root-*.${DOMAIN}.pub; do
            thishost=`basename $f`
            thishost=${thishost#root-}
            thishost=${thishost%.pub}
            msg="`cat $f`$thishost$3"
            msg="`echo $msg | sha1sum`"
            msg=${msg%  -}
            if  [ "$msg" == "$2" ] ; then
                echo $thishost
                exit 0
            fi
        done
        exit 1
        ;;
    hash)
        f=${KEYDIR}/localhost.pub
        if [ ! -r "$f" ]; then
            echo "FATAL: no host key ${KEYDIR}/localhost.pub found"
            exit 1
        else
            msg="`cat $f`${NODENAME}.${DOMAIN}${2}"
            msg="`echo $msg | sha1sum`"
            echo "${msg%  -}"
            exit 0
        fi
        ;;
    *)
        echo_help
        ;;
esac

